POLY(1)

NAME
poly - the Poly/ML Standard ML implementation

SYNOPSIS
poly

DESCRIPTION
poly starts the Poly/ML shell. Poly/ML is an implementation of Standard ML developed by David Matthews at the University of Cambridge, at the Laboratory for Foundations of Computer Science (LFCS) at the University of Edinburgh and maintained as a project supported by contributors.

OPTIONS

-v  Print the version of Poly/ML and exit.

--help
    Print a list of the arguments and exit.

-q  Suppress the start-up message.

--with-markup
    Include extra mark-up information when printing. This is only suitable when Poly/ML is run under an environment that is able to decode the additional information.

--ideprotocol
    Run the IDE communications protocol rather than the normal read-eval-print loop. Only suitable for running within a development environment.

-H size, --heap size
    Set the initial heap size, in MB. This is used to set the size of the immutables and mutables segments if one or other is not explicitly specified. The heap may grow larger than this if required.

--immutable size
    Set the size of the immutables segment, in MB. This controls the frequency of major garbage collections.

--mutable size
    Set the size of the mutables segment, in MB. This controls the frequency of minor garbage collections.

--debug options
    Set various debugging options for the run-time system.

SEE ALSO

http://www.polyml.org The Poly/ML web site.